# Asgardeo App Extensions.

|  Branch |Build Status | GitHub CI Status | HotFix Status |
| :------------ |:------------- |:------------- |:-------------
| master      | [![Build Status](https://wso2.org/jenkins/buildStatus/icon?job=iam-cloud%2Fasgardeo-app-extensions)](https://wso2.org/jenkins/job/iam-cloud/job/asgardeo-app-extensions/) | ![PR Builder](https://github.com/wso2-enterprise/asgardeo-app-extensions/workflows/PR%20Builder/badge.svg)| [![HotFix Status](https://wso2.org/jenkins/buildStatus/icon?job=iam-cloud%2Fasgardeo-app-extensions-hotfix)](https://wso2.org/jenkins/job/iam-cloud/job/asgardeo-app-extensions-hotfix/) |

Contains extensions which are applied on top of the parent [Identity Apps](https://github.com/wso2/identity-apps) respository to be used with [Asgardeo](https://github.com/wso2-enterprise/asgardeo-product).

## Prerequisite

### Setup Development Environment

* [Git](https://git-scm.com/downloads)

    * Description 🗒️ : Open source distributed version control system.
    * Download Link 🔗 : [https://git-scm.com/downloads](https://git-scm.com/downloads)

* [NodeJS](https://nodejs.org/en/download/)

    * Description 🗒️ : JavaScript runtime.
    * Version: LTS (Latest Stable Version)

        > **Warning**
        > This project requires atleast NodeJS **v14.6.x** or above to work.

    * Download Link 🔗 : [https://nodejs.org/en/download](https://nodejs.org/en/download)

* [pnpm](https://pnpm.io)

  > Note: Due to lockfile compatibility issues, **pnpm v8.0.0 and above are currently not supported**.

    * Description 🗒️ : Fast, disk space efficient package manager.
    * Version: Latest (upto **v8.0.0**)
    * Download Link 🔗 : [https://pnpm.io/installation](https://pnpm.io/installation)

* [Maven](https://maven.apache.org)

    * Description 🗒️ : Project management and comprehension tool.
    * Version: Latest (**3.6.3** or higher)
    * Download Link 🔗 : [https://maven.apache.org/download.cgi](https://maven.apache.org/download.cgi)

* [JDK](https://www.openlogic.com/openjdk-downloads)

    * Description 🗒️ : Develop and test programs written in the Java.
    * Version: JDK 11
    * Download Link 🔗 : [https://www.openlogic.com/openjdk-downloads](https://www.openlogic.com/openjdk-downloads)

## Build & Run

### Build

Clone or download the repository and run the following commands from the command line in the project root directory (where the `pom.xml` is located) to build all the packages with dependencies.

```shell
mvn clean install
```

> **Note**
> The final bundled archives will be located at `distrubutions/<APP>/target/identity-<APP>-v1.**-SNAPSHOT.war`.

✨ For other build options, refer our [guides](./docs/develop/build/).

### Run

Go through our [guides](./docs/develop/run/README.md) to setup the runtime.

## Troubleshoot

Refer to [docs/TROUBLESHOOTING.md](docs/TROUBLESHOOTING.md) to troubleshoot instructions on known issues. If what you're facing is not listed here, please contribute.

## Contributing

Go through our [contributing guideline](./docs/README.md) to get an understanding about our contribution process and other necessary instructions.

### Sending Pull Requests

> **Note**
> Only run the PR builder for changes that affect the compilation. Do not run the builder on README changes etc.

We are using GitHub actions to trigger builds for PRs and it has to be done on-demand.

If you need to trigger a build for your PR, add `trigger-pr-builder` as a label.

## License

WSO2 LLC. licenses this source under the WSO2 Commercial License [LICENSE](LICENSE).

---------------------------------------------------------------------------
(c) Copyright 2022 WSO2 LLC.
